List Workspace Management Keys
curl --request GET \
--url https://api.example.com/api/v1/organizations/{org_id}/workspaces/{workspace_ref}/management-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/organizations/{org_id}/workspaces/{workspace_ref}/management-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/organizations/{org_id}/workspaces/{workspace_ref}/management-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"prefix": "<string>",
"permissions": [
"organizations.read"
],
"label": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"revoked_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scope": {
"level": "instance",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"status": "active"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Management Keys
List Workspace Management Keys
List management keys scoped to one workspace.
Required permission: management-keys.read.
GET
/
api
/
v1
/
organizations
/
{org_id}
/
workspaces
/
{workspace_ref}
/
management-keys
List Workspace Management Keys
Authorizations
ManagementKeySessionCookie
A control-plane management key using the sk-cp- prefix. Inference keys are not accepted by control-plane endpoints.
Path Parameters
Workspace ID or slug
Organization ID or slug
Query Parameters
Return only management keys issued to this principal
Response
Successful Response
Show child attributes
Show child attributes